/************************************************
* Dummy .ino to keep IDE happy                  *
* see: http://www.gammon.com.au/forum/?id=12625 *
************************************************/
// List of headers to include
#include <SPI.h>
#include "VFD.h"

/*
  To drive a VFD controlled by a string of 74HC595 chips.

 The circuit:
  * All '595 /MR pins tied high
  * All '595 /OE pins tied low
  * VFD drivers or common anode multiplexed LEDs connected 
    to '595 outputs,  First '595 is segments, second is digit
    select lines, all active low.
  * All '595 LD_CK (/CS) - to digital pin 10  (SS pin)
  * First '595 D (SDI) - to digital pin 11 (MOSI pin)
  * All '595 SH_CK (CLK) - to digital pin 13 (SCK pin)
  * The ULN2803 back-EMF diodes are used to pull down all
    outputs simultaniously via ch.1 of the digit driver.
    
    N.B. the ULN2803s are both bit-reversed to ease wiring 
    layout so ch.1 is the otherwise unused high bit that
    would be digit 8.  If moddng to drive > 7 digits, for
    dimming, use a NPN transistor with Vceo > +HT that can
    sink the current from *all* the pullup resistors in
    parallel. 

    Segment anodes are connected starting from the LSB of the low byte. 
    Digit grids are connected starting from the LSB of the high byte
    
    */


